## racket 8.7+dfsg1

=== src/ChezScheme/pkg/Makefile ===
# Makefile
# Copyright 1984-2017 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

m := $(shell find ../bin/* -type d | xargs basename)
version = 9.5.9
release = 1

DOTUSER = $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
DOTGROUP = $(shell ls -ldg . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
BUILDROOT = $(m)$(version)
RELEASE = csv$(version)
TARBALL = $(RELEASE)-$(m).tar.gz
PKG = $(RELEASE)-$(m)-$(release).pkg

PKGCONTENT =\
 $(BUILDROOT)/Resources/en.lproj/Welcome.html\
 $(BUILDROOT)/Resources/en.lproj/License.txt\
 $(BUILDROOT)/Distribution\
 $(BUIDROOT)/Root/bin\
 $(BUILDROOT)/Root/lib\
 $(BUILDROOT)/Root/man

$(PKG): $(BUILDROOT)/$(PKG)
	sudo /usr/bin/productbuild\
          --resources $(BUILDROOT)/Resources\
          --distribution $(BUILDROOT)/Distribution\
          --package-path $(BUILDROOT)\
          $(PKG)
	sudo chown $(DOTUSER):$(DOTGROUP) $(PKG)
	sudo rm -rf $(RELEASE) $(BUILDROOT)

$(BUILDROOT)/$(PKG): $(PKGCONTENT)
	sudo /usr/bin/pkgbuild\
          --root $(BUILDROOT)/Root\
          --identifier chezscheme\
          --version $(version)\
          --install-location /\
          --ownership recommended\
          $(BUILDROOT)/$(PKG)

$(BUILDROOT)/Distribution: $(BUILDROOT)
	echo '<?xml version="1.0" encoding="utf-8" standalone="no"?>' > $(BUILDROOT)/Distribution
	echo '<installer-gui-script minSpecVersion="1">' >> $(BUILDROOT)/Distribution
	echo '    <pkg-ref id="chezscheme">' >> $(BUILDROOT)/Distribution
	echo '        <bundle-version/>' >> $(BUILDROOT)/Distribution
	echo '    </pkg-ref>' >> $(BUILDROOT)/Distribution
	echo '    <title>Chez Scheme</title>' >> $(BUILDROOT)/Distribution
	echo '    <welcome file="Welcome.html"/>' >> $(BUILDROOT)/Distribution
	echo '    <license file="License.txt"/>' >> $(BUILDROOT)/Distribution
	echo '    <options customize="never" rootVolumeOnly="true"/>' >> $(BUILDROOT)/Distribution
	echo '    <options customize="never" require-scripts="false"/>' >> $(BUILDROOT)/Distribution
	echo '    <choices-outline>' >> $(BUILDROOT)/Distribution
	echo '        <line choice="default">' >> $(BUILDROOT)/Distribution
	echo '            <line choice="chezscheme"/>' >> $(BUILDROOT)/Distribution
	echo '        </line>' >> $(BUILDROOT)/Distribution
	echo '    </choices-outline>' >> $(BUILDROOT)/Distribution
	echo '    <choice id="default"/>' >> $(BUILDROOT)/Distribution
	echo '    <choice id="chezscheme" visible="false">' >> $(BUILDROOT)/Distribution
	echo '        <pkg-ref id="chezscheme"/>' >> $(BUILDROOT)/Distribution
	echo '    </choice>' >> $(BUILDROOT)/Distribution
	echo '    <pkg-ref id="chezscheme" version="$(version)" onConclusion="none" installKBytes="1639">#$(PKG)</pkg-ref>' >> $(BUILDROOT)/Distribution
	echo '</installer-gui-script>' >> $(BUILDROOT)/Distribution
	chmod 644 $(BUILDROOT)/Distribution

$(BUILDROOT)/Resources/en.lproj/Welcome.html: $(BUILDROOT)/Resources/en.lproj
	echo '<html>' > $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<h3>Chez Scheme Version $(version)</h3>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<p>Copyright &copy; 2022 Cisco Systems, Inc.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<p>Chez Scheme is a programming language and an implementation of that language, with supporting tools and documentation.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '</html>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	chmod 644 $(BUILDROOT)/Resources/en.lproj/Welcome.html

$(BUILDROOT)/Resources/en.lproj/License.txt: $(BUILDROOT)/Resources/en.lproj
	cat ../../NOTICE ../../LICENSE > $(BUILDROOT)/Resources/en.lproj/License.txt
	chmod 644 $(BUILDROOT)/Resources/en.lproj/License.txt

$(BUILDROOT)/Resources/en.lproj: $(BUILDROOT)/Resources
	install -d $(BUILDROOT)/Resources/en.lproj

$(BUILDROOT)/Resources: $(BUILDROOT)
	install -d $(BUILDROOT)/Resources

$(BUIDROOT)/Root/bin $(BUILDROOT)/Root/lib $(BUILDROOT)/Root/man: $(BUILDROOT)/Root $(RELEASE)
	( cd $(RELEASE); sudo make install InstallGroup=wheel TempRoot=../$(BUILDROOT)/Root )

$(BUILDROOT)/Root: $(BUILDROOT)
	install -d $(BUILDROOT)/Root

$(RELEASE): $(BUILDROOT) ../bintar/$(TARBALL)
	tar -xzf ../bintar/$(TARBALL)

$(BUILDROOT):
	install -d $(BUILDROOT)

clean:
	rm -rf $(PKG) $(BUILDROOT) $(RELEASE)

=== src/ChezScheme/rpm/Makefile ===
# Makefile
# Copyright 1984-2017 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

version = 9.5.9
release = 1
m := $(shell find ../bin/* -type d | xargs basename)
arch := $(shell if test "$(m)" == "i3le" ; then echo i686 ; elif test "$(m)" == "a6le" ; then echo x86_64 ; else echo UNKNOWN ; fi)
DOTUSER := $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
DOTGROUP := $(shell ls -ldg . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
TMP := $(shell pwd)/tmp
SPEC = $(TMP)/ChezScheme-$(version)-$(arch)-$(release).spec
RELEASE = csv$(version)
TARBALL = $(RELEASE)-$(m).tar.gz
RPM = ChezScheme-$(version)-$(release).$(arch).rpm


$(RPM): $(TMP)/$(RPM)
	sudo install -m 644 -o $(DOTUSER) -g $(DOTGROUP) $(TMP)/${RPM} .

$(TMP)/$(RPM): $(SPEC) $(TMP)/$(TARBALL)
	sudo setarch $(arch) rpmbuild\
          --target $(arch)\
          --define "_topdir $(TMP)" \
          --define "_srcrpmdir $(TMP)" \
          --define "_rpmdir $(TMP)" \
          --define "_sourcedir $(TMP)" \
          --define "_builddir $(TMP)" \
          --define "_rpmfilename %{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}.rpm" \
          --quiet -ba $(SPEC)

$(SPEC): $(TMP)
	echo 'Summary: Chez Scheme: A high-performance version of Scheme' > $(SPEC)
	echo 'Name: ChezScheme' >> $(SPEC)
	echo 'Version: $(version)' >> $(SPEC)
	echo 'Release: $(release)' >> $(SPEC)
	echo 'Provides: ChezScheme-runtime-{VERSION}' >> $(SPEC)
	echo 'License: Apache 2.0' >> $(SPEC)
	echo 'URL: http://github.com/cisco/chezscheme' >> $(SPEC)
	echo 'Group: Development/Languages' >> $(SPEC)
	echo 'Source0: $(TARBALL)' >> $(SPEC)
	echo 'BuildRoot: %{_tmppath}/%{name}' >> $(SPEC)
	echo '%description' >> $(SPEC)
	echo 'Chez Scheme is a programming language and an implementation of that language,' >> $(SPEC)
	echo 'with supporting tools and documentation.' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%prep' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%setup -T -b 0 -n $(RELEASE)' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '#%build' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%install' >> $(SPEC)
	echo 'make install TempRoot=%{buildroot}' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%files' >> $(SPEC)
	echo '#%doc NOTICE' >> $(SPEC)
	echo '#%doc LICENSE' >> $(SPEC)
	echo '/usr/lib/$(RELEASE)' >> $(SPEC)
	echo '/usr/bin/petite' >> $(SPEC)
	echo '/usr/bin/scheme' >> $(SPEC)
	echo '/usr/bin/scheme-script' >> $(SPEC)
	echo '/usr/share/man/man1/petite.1.gz' >> $(SPEC)
	echo '/usr/share/man/man1/scheme.1.gz' >> $(SPEC)

$(TMP)/$(TARBALL): $(TMP) ../bintar/$(TARBALL)
	cp ../bintar/$(TARBALL) $(TMP)

$(TMP):
	mkdir $(TMP)

clean:
	rm -rf $(TMP) $(RPM)

=== src/ChezScheme/unicode/Makefile ===
Scheme=../bin/scheme

doit: unicode-char-cases.ss unicode-charinfo.ss

unicode-char-cases.ss: extract-char-cases.ss extract-common.ss unicode-data.ss
	echo | $(Scheme) -q extract-char-cases.ss

unicode-charinfo.ss: extract-info.ss extract-common.ss unicode-data.ss
	echo | $(Scheme) -q extract-info.ss

unicode-char-cases.ss: \
 UNIDATA/CompositionExclusions.txt\
 UNIDATA/UnicodeData.txt\
 UNIDATA/CaseFolding.txt\
 UNIDATA/SpecialCasing.txt

unicode-charinfo.ss: \
 UNIDATA/UnicodeData.txt\
 UNIDATA/WordBreakProperty.txt\
 UNIDATA/PropList.txt

=== debian/changelog ===
racket (8.7+dfsg1-2) experimental; urgency=medium

  * Bug fix: "expeditor input mode for xrepl does not work despite being
    installed", thanks to Benji Dial (Closes: #1034322).

 -- David Bremner <bremner@unb.ca>  Mon, 15 May 2023 21:58:02 -0400

=== debian/control ===
Source: racket
Section: lisp
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Standards-Version: 4.1.1
Build-Depends: cdbs,
               debhelper (>= 10),
               libcairo2-dev,
               libffi-dev,
               libfreetype6-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libjpeg-dev,
               liblz4-dev,
               libncurses-dev,
               libpango1.0-dev,
               libpng-dev,
               libssl-dev,
               libx11-dev,
               libxaw7-dev,
               libxft-dev,
               libxrender-dev,
               patchutils,
               sqlite3,
               xbitmaps,
               zlib1g-dev
Vcs-Git: https://salsa.debian.org/bremner/racket
Vcs-Browser: https://salsa.debian.org/bremner/racket
Homepage: https://www.racket-lang.org/

Package: racket
Architecture: any
Depends: racket-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libgdk-pixbuf-2.0-0,
            libgdk-pixbuf-xlib-2.0-0,
            libglib2.0-0,
            libgtk2.0-0,
            libjpeg62-turbo,
            libpangocairo-1.0-0,
            libpng16-16,
            libssl3,
            racket-doc (>= ${source:Upstream-Version})
Breaks: racket-common (<<8.6~)
Replaces: racket-common (<<8.0~)
Description: extensible programming language in the Scheme family
 Racket (previously PLT Scheme) is a programming language suitable for
 scripting and application development, including GUIs and web
 services.
 .
 It supports the creation of new programming languages through a rich,
 expressive syntax system. Supplied languages include Typed Racket,
 ACL2, FrTime, and Lazy Racket, and R6RS Scheme.
 .
 Racket includes the DrRacket programming environment, a virtual
 machine with a just-in-time compiler, tools for creating stand-alone
 executables, the Racket web server, extensive libraries, and
 documentation for both beginners and experts.

Package: racket-common
Architecture: all
Breaks: racket (<< 8.6~)
Replaces: racket (<< 8.6~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: racket (>= ${source:Upstream-Version}),
            racket-doc (>= ${source:Upstream-Version}),
            sensible-utils
Description: extensible programming language in the Scheme family (shared files)
 This package includes the architecture independent files for Racket
 (but not the documentation, see racket-doc for that).

Package: racket-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: racket (>= ${source:Upstream-Version})
Enhances: racket
Description: extensible programming language in the Scheme family (documentation)
 This package includes all of the documentation for Racket.

## racket 8.10+dfsg1

=== debian/changelog ===
racket (8.10+dfsg1-2ubuntu1) noble; urgency=medium

  * Recommend libgtk2.0-0t64, libpng16-16t64, and libssl3t64 rather than
    libgtk2.0-0, libpng16-16, and libssl3.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 18:27:41 +0100

racket (8.10+dfsg1-2) unstable; urgency=medium

  * Apply changes from experimental (8.7+dfsg1-2) (Closes: #1034322).

 -- David Bremner <bremner@debian.org>  Sat, 19 Aug 2023 16:28:59 -0300

racket (8.10+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.10+dfsg1.

 -- David Bremner <bremner@debian.org>  Sat, 19 Aug 2023 14:55:07 -0300

=== debian/control ===
--- 
+++ 
@@ -36,11 +36,11 @@
 Recommends: libgdk-pixbuf-2.0-0,
             libgdk-pixbuf-xlib-2.0-0,
             libglib2.0-0,
-            libgtk2.0-0,
+            libgtk2.0-0t64,
             libjpeg62-turbo,
             libpangocairo-1.0-0,
-            libpng16-16,
-            libssl3,
+            libpng16-16t64,
+            libssl3t64,
             racket-doc (>= ${source:Upstream-Version})
 Breaks: racket-common (<<8.6~)
 Replaces: racket-common (<<8.0~)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_CONFIGURE_SCRIPT := $(CURDIR)/src/configure
DEB_CONFIGURE_EXTRA_FLAGS := --enable-libz --enable-liblz4
MZDYN := mzdyn3m.o

# most architectectures are supported only by the old pre-Chez backend
ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armhf i386))
    DEB_CONFIGURE_EXTRA_FLAGS += --enable-bcdefault
endif

# keep the collect build from using every available core, unless 
# explicitly enabled.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS),64)
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    else
	NUMJOBS = 1
    endif
else
    NUMJOBS = 1
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    DEB_CONFIGURE_EXTRA_FLAGS += --enable-noopt
endif

DEB_CFLAGS_MAINT_APPEND := -O2
export DEB_CFLAGS_MAINT_APPEND

# Support for generating ".orig.tar.gz" from git

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

DEB_MAKE_ENVVARS += HOME=/nonexistant PLT_SETUP_OPTIONS="-j $(NUMJOBS) $(PLT_EXTRA)"

DEB_BUILDDIR := $(DEB_SRCDIR)/build

DEB_DH_INSTALL_ARGS_racket-common := -X.zo -X.dep -X$(MZDYN) -X/tests/
DEB_DH_INSTALL_ARGS_racket-doc := -Xrelease
DEB_DH_COMPRESS_ARGS := -X.sxref -X.sqlite

# don't compress rkt source files since some are needed for
# docs such as the quick.scrbl example and blueboxes.rktd files
DEB_COMPRESS_EXCLUDE_ALL := .scrbl .rkt .rktd

DEB_DH_BUILDDEB_ARGS := -- -Zxz

# do not strip mzscheme, as this causes it to stop working
# do not strip mred, as this fails on some arches
DEB_DH_STRIP_ARGS_racket := -Xbin/mzscheme -Xbin/mred

DEB_MAKE_INSTALL_TARGET= .

common-install-arch:: do-install-arch
common-install-indep:: do-install-indep

do-install-arch: PLT_EXTRA=--no-docs
do-install-arch:
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR) install DESTDIR=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/bin/planet

do-install-indep: PLT_EXTRA=--no-launcher --no-install --no-post-install
do-install-indep:
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR) install DESTDIR=$(CURDIR)/debian/tmp

cleanbuilddir/racket::
	rm -rf build
	rm -rf include # This got created at build-time
	rm -f debian/mzconfig.h debian/racket-arch.mk

debian/racket-arch.mk: debian/racket-arch.c
	touch debian/mzconfig.h && cpp -Isrc -Idebian -o - $< | tail -1 > $@

get-orig-source:
	git archive --format=tar --prefix=racket-${UPSTREAM}/ upstream/${UPSTREAM} | gzip -9 > ../${ORIG}

PATCH_EXPORT_SCRIPT = /usr/share/gitpkg/hooks/quilt-patches-deb-export-hook

export-patches: 
	[ ! -r debian/patches ] || \
	grep "^\#.*$(notdir $(PATCH_EXPORT_SCRIPT))" debian/patches/series
	rm -rf debian/patches
	bash $(PATCH_EXPORT_SCRIPT)

.PHONY: git-orig-source export-patches

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts=filenamemangle=s/.*-([0-9.]+)-.*/racket-$1.tar.gz/,dversionmangle=s/\+dfsg\d+// \
http://download.racket-lang.org/installers/([0-9]\.[0-9.]+)/racket-([0-9]\.[0-9.]+)-src.tgz

## racket 8.12+dfsg1

=== src/ChezScheme/pkg/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # limitations under the License.
 
 m := $(shell find ../bin/* -type d | xargs basename)
-version = 9.5.9
+version = 9.9.9
 release = 1
 
 DOTUSER = $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
@@ -77,7 +77,7 @@
 $(BUILDROOT)/Resources/en.lproj/Welcome.html: $(BUILDROOT)/Resources/en.lproj
 	echo '<html>' > $(BUILDROOT)/Resources/en.lproj/Welcome.html
 	echo '<h3>Chez Scheme Version $(version)</h3>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
-	echo '<p>Copyright &copy; 2022 Cisco Systems, Inc.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
+	echo '<p>Copyright &copy; 2023 Cisco Systems, Inc.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
 	echo '<p>Chez Scheme is a programming language and an implementation of that language, with supporting tools and documentation.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
 	echo '</html>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
 	chmod 644 $(BUILDROOT)/Resources/en.lproj/Welcome.html

=== src/ChezScheme/rpm/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-version = 9.5.9
+version = 9.9.9
 release = 1
 m := $(shell find ../bin/* -type d | xargs basename)
 arch := $(shell if test "$(m)" == "i3le" ; then echo i686 ; elif test "$(m)" == "a6le" ; then echo x86_64 ; else echo UNKNOWN ; fi)

=== src/ChezScheme/wininstall/Makefile ===
VERSION := 9.9.9
WIXEXTENSIONS := -ext WixUIExtension -ext WixBalExtension
export MSYS_NO_PATHCONV=1

ChezScheme.exe: x86/bundle.wixobj ChezScheme32.msi ChezScheme64.msi
	cmd.exe /c "light.bat -nologo $(WIXEXTENSIONS) $< -out $@"

ChezScheme32.msi: x86/product.wixobj x86/examples.wixobj x86/i3nt.wixobj x86/ti3nt.wixobj x86/vcredist.wixobj x86/ui.wixobj
	cmd.exe /c "light.bat -nologo $(WIXEXTENSIONS) $^ -sice:ICE64 -sice:ICE03 -sice:ICE82 -sice:ICE61 -out $@"

ChezScheme64.msi: x64/product.wixobj x64/a6nt.wixobj x64/examples.wixobj x64/ta6nt.wixobj x64/vcredist.wixobj x64/ui.wixobj
	cmd.exe /c "light.bat -nologo $(WIXEXTENSIONS) $^ -sice:ICE64 -sice:ICE03 -sice:ICE82 -sice:ICE61 -out $@"

x86/%.wixobj: %.wxs
	cmd.exe /c "candle.bat -nologo -dVersion=$(VERSION) $(WIXEXTENSIONS) $< -out $@"

x64/%.wixobj: %.wxs
	cmd.exe /c "candle.bat -arch x64 -nologo -dVersion=$(VERSION) $(WIXEXTENSIONS) $< -out $@"

vcredist.wxs: locate-vcredist.bat
	cmd.exe /c "locate-vcredist.bat"

# After building a6nt, use it to create boot files for the
# other machine types, since that's faster than going through
# pb every time
.PHONY: workareas
workareas:
	cd ..; cmd.exe /c "build.bat a6nt"
	cd ..; ./zuo.exe . bootquick i3nt
	cd ..; ./zuo.exe . bootquick ta6nt
	cd ..; ./zuo.exe . bootquick ti3nt
	cd ..; cmd.exe /c "build.bat i3nt"
	cd ..; cmd.exe /c "build.bat ta6nt"
	cd ..; cmd.exe /c "build.bat ti3nt"

.PHONY: clean
clean:
	-rm -rf *.msi *.wixpdb x86/ x64/ vcredist.wxs *.wixobj *.exe

=== debian/changelog ===
racket (8.12+dfsg1-7ubuntu1) oracular; urgency=medium

  * Merge from Debian.  Remaining changes:
    - Recommend libgtk2.0-0t64, libpng16-16t64, and libssl3t64 rather than
      libgtk2.0-0, libpng16-16, and libssl3.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 May 2024 15:37:00 +0100

racket (8.12+dfsg1-7) unstable; urgency=medium

  * Modify handling of atomics on arm (32) following a suggestion of
    upstream.
  * Use tpb32b for powerpc (tppc32le is auto-detected, but seems wrong)
  * Use BC backend and disable docs on armel. Revisit if / when memory
    consumption is reduced.

 -- David Bremner <bremner@debian.org>  Mon, 25 Mar 2024 12:03:24 -0300

racket (8.12+dfsg1-6) unstable; urgency=medium

  * Exclude some installed files from compression (fix apparent issue with xref)

 -- David Bremner <bremner@debian.org>  Tue, 19 Mar 2024 15:21:58 -0300

racket (8.12+dfsg1-5) unstable; urgency=medium

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 17 Mar 2024 11:51:37 -0300

racket (8.12+dfsg1-4) experimental; urgency=medium

  * Cherry pick 40a530935c and 5a6921d from upstream in an attempt to resolve
    big-endian build problems.
  * Switch mips64el to BC backend, as PB backend seems buggy
    (https://github.com/racket/racket/issues/4952)

 -- David Bremner <bremner@debian.org>  Thu, 14 Mar 2024 07:25:40 -0300

racket (8.12+dfsg1-3) experimental; urgency=medium

  * Move release notes back to racket-common (Closes: #1065815).
  * Cherry-pick 9d988ca1 from upstream to support PB mode on s390x
  * Enable PB mode on s390x

 -- David Bremner <bremner@debian.org>  Sun, 10 Mar 2024 14:19:00 -0300

racket (8.12+dfsg1-2) experimental; urgency=medium

  * Enable portable bytecode (PB) backend to fix some builds (notably ppc64el,
    mips64el) where CS backend is not supported.
  * Use BC backend on s390x, as PB currently does not work there
    (https://github.com/racket/racket/issues/4951)

 -- David Bremner <bremner@debian.org>  Sat, 09 Mar 2024 08:35:36 -0400

racket (8.12+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Restart packaging with dh sequencer.

 -- David Bremner <bremner@debian.org>  Fri, 08 Mar 2024 15:41:25 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: David Bremner <bremner@debian.org>
 Standards-Version: 4.1.1
-Build-Depends: cdbs,
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 10),
                libcairo2-dev,
                libffi-dev,
                libfreetype6-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PB32B:=--enable-pb --enable-mach-tpb32b
PB64L:=--enable-pb --enable-mach=tpb64l
PB64B:=--enable-pb --enable-mach=tpb64b
CONFIG_ARGS_mips64el:=--enable-bc
CONFIG_ARGS_ppc64el :=$(PB64L)
CONFIG_ARGS_ppc64   :=$(PB64B)
CONFIG_ARGS_powerpc :=$(PB32B)
CONFIG_ARGS_s390x   :=$(PB64B)
CONFIG_ARGS_sparc64 :=$(PB64B)
CONFIG_ARGS_armel   :=--enable-bc --disable-docs

%:
	dh $@ --builddir=build

override_dh_auto_configure:
	dh_auto_configure --sourcedir=src -- $(CONFIG_ARGS_$(DEB_HOST_ARCH))

override_dh_compress:
	dh_compress  -X.rkt -X.rktd -X.scrbl -X.sxref -X.sqlite

## racket 8.14+dfsg1

=== src/ChezScheme/pkg/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # limitations under the License.
 
 m := $(shell find ../bin/* -type d | xargs basename)
-version = 9.9.9
+version = 10.0.0
 release = 1
 
 DOTUSER = $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
@@ -77,7 +77,7 @@
 $(BUILDROOT)/Resources/en.lproj/Welcome.html: $(BUILDROOT)/Resources/en.lproj
 	echo '<html>' > $(BUILDROOT)/Resources/en.lproj/Welcome.html
 	echo '<h3>Chez Scheme Version $(version)</h3>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
-	echo '<p>Copyright &copy; 2023 Cisco Systems, Inc.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
+	echo '<p>Copyright &copy; 2024 Cisco Systems, Inc.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
 	echo '<p>Chez Scheme is a programming language and an implementation of that language, with supporting tools and documentation.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
 	echo '</html>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
 	chmod 644 $(BUILDROOT)/Resources/en.lproj/Welcome.html

=== src/ChezScheme/unicode/Makefile ===
Scheme=../bin/zuo .. run

doit: update unicode-char-cases.ss unicode-charinfo.ss

update:
	./get-UNIDATA

unicode-char-cases.ss: extract-char-cases.ss extract-common.ss unicode-data.ss
	echo | $(Scheme) -q extract-char-cases.ss

unicode-charinfo.ss: extract-info.ss extract-common.ss unicode-data.ss
	echo | $(Scheme) -q extract-info.ss

unicode-char-cases.ss: \
 UNIDATA/CompositionExclusions.txt\
 UNIDATA/UnicodeData.txt\
 UNIDATA/CaseFolding.txt\
 UNIDATA/SpecialCasing.txt\
 UNIDATA/GraphemeBreakProperty.txt

unicode-charinfo.ss: \
 UNIDATA/UnicodeData.txt\
 UNIDATA/WordBreakProperty.txt\
 UNIDATA/PropList.txt\
 UNIDATA/emoji-data.txt

=== debian/changelog ===
racket (8.14+dfsg1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- David Bremner <bremner@debian.org>  Sat, 15 Feb 2025 17:02:54 -0400

racket (8.14+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.14+dfsg1.

 -- David Bremner <bremner@debian.org>  Thu, 29 Aug 2024 15:54:05 -0700

racket (8.13+dfsg1-2) unstable; urgency=medium

  * Enable PB backend on mips64el. This is now everything on CS but armel,
    which is probably hopeless, so (Closes: #1035343).
  * Upload to unstable.

 -- David Bremner <bremner@debian.org>  Sun, 09 Jun 2024 11:01:36 -0300

racket (8.13+dfsg1-1) experimental; urgency=medium

  * Update to new upstream version 8.13+dfsg1.
  * Drop patch for s390x and arm atomic load (now upstream).

 -- David Bremner <bremner@debian.org>  Tue, 04 Jun 2024 19:50:14 -0300

racket (8.12+dfsg1-10) unstable; urgency=medium

  * Explicitly fail arch-indep build on armel (Closes: #1069549).

 -- David Bremner <bremner@debian.org>  Thu, 16 May 2024 07:17:34 -0300

racket (8.12+dfsg1-9) experimental; urgency=medium

  * Correct types in PB configure parameters
  * Fix bit size for hppa

 -- David Bremner <bremner@debian.org>  Sun, 31 Mar 2024 13:55:19 -0300

racket (8.12+dfsg1-8) experimental; urgency=medium

  * Try portable bytecode backend for ports alpha, hppa, and sh4

 -- David Bremner <bremner@debian.org>  Thu, 28 Mar 2024 06:32:58 -0300

racket (8.12+dfsg1-7~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- David Bremner <bremner@debian.org>  Mon, 01 Apr 2024 07:33:37 -0300

=== debian/control ===
--- 
+++ 
@@ -35,11 +35,11 @@
 Recommends: libgdk-pixbuf-2.0-0,
             libgdk-pixbuf-xlib-2.0-0,
             libglib2.0-0,
-            libgtk2.0-0t64,
+            libgtk2.0-0,
             libjpeg62-turbo,
             libpangocairo-1.0-0,
-            libpng16-16t64,
-            libssl3t64,
+            libpng16-16,
+            libssl3,
             racket-doc (>= ${source:Upstream-Version})
 Breaks: racket-common (<<8.6~)
 Replaces: racket-common (<<8.0~)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PB32B:=--enable-pb --enable-mach=tpb32b
PB32L:=--enable-pb --enable-mach=tpb32l
PB64B:=--enable-pb --enable-mach=tpb64b
PB64L:=--enable-pb --enable-mach=tpb64l
CONFIG_ARGS_alpha   :=$(PB64L)
CONFIG_ARGS_armel   :=--enable-bc --disable-docs
CONFIG_ARGS_hppa    :=$(PB32B)
CONFIG_ARGS_mips64el:=$(PB64L)
CONFIG_ARGS_powerpc :=$(PB32B)
CONFIG_ARGS_ppc64   :=$(PB64B)
CONFIG_ARGS_ppc64el :=$(PB64L)
CONFIG_ARGS_s390x   :=$(PB64B)
CONFIG_ARGS_sh4     :=$(PB32L)
CONFIG_ARGS_sparc64 :=$(PB64B)

%:
	dh $@ --builddir=build

override_dh_auto_configure:
	dh_auto_configure --sourcedir=src -- $(CONFIG_ARGS_$(DEB_HOST_ARCH))

override_dh_compress:
	dh_compress  -X.rkt -X.rktd -X.scrbl -X.sxref -X.sqlite

override_dh_auto_build-indep:
ifneq (,$(filter $(DEB_HOST_ARCH),armel))
	$(error building arch-indep. packages is not supported on $(DEB_HOST_ARCH))
endif
	dh_auto_build -i

## racket 8.16+dfsg1

=== src/ChezScheme/pkg/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # limitations under the License.
 
 m := $(shell find ../bin/* -type d | xargs basename)
-version = 10.0.0
+version = 10.2.0
 release = 1
 
 DOTUSER = $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')

=== src/worksp/cs/Makefile ===

INCS = /I.. /I..\..\rktio /I..\librktio /I..\..\worksp\cs /I$(SCHEME_DIR)\$(MACHINE)\boot\$(MACHINE)

RKTIO_LIB = ..\..\build\librktio.lib
BASE_WIN32_LIBS = WS2_32.lib Shell32.lib User32.lib Winmm.lib
WIN32_LIBS = $(BASE_WIN32_LIBS) RpCrt4.lib Ole32.lib Advapi32.lib
SCHEME_LIB_FULL = $(SCHEME_DIR)\$(MACHINE)\boot\$(MACHINE)\$(SCHEME_LIB)

LIBS = $(RKTIO_LIB) \
       $(SCHEME_LIB_FULL) \
       $(WIN32_LIBS)

LZ4_DLL = ..\liblz4mt.dll
LZ4_LIB = $(SCHEME_DIR)\$(MACHINE)\lz4\lib\liblz4mt.lib

DEST_DLL = ..\..\build\libracketcsxxx_raw.dll
DEST = ..\..\build\raw_racketcs.exe
GDEST = ..\..\build\raw_gracketcs.exe
CSDIR = ..\..\cs\c

MAIN_DEPS = ..\..\start\config.inc \
            ..\..\start\parse_cmdl.inc \
            ..\..\start\cmdl_to_argv.inc \
            ..\..\start\delayed.inc \
            ..\..\start\win_single.inc \
            ..\..\start\embedded_dll.inc

MEMMOD = ..\..\start\MemoryModule.c

FLAGS = /DWIN32 /Ox /MT /GF
COMP_SUBDIR = /DCS_COMPILED_SUBDIR=1

all: $(DEST) $(GDEST) $(LZ4_DLL)

$(DEST_DLL): $(CSDIR)\boot.c libracket.res $(RKTIO_LIB) $(SCHEME_LIB_FULL)
	cl /LD /DLL /Fe$(DEST_DLL) $(FLAGS) $(INCS) $(CSDIR)\boot.c libracket.res $(LIBS)

libracket.res: libracket.rc
	rc /l 0x409 /folibracket.res libracket.rc

$(DEST): $(CSDIR)\main.c $(MAIN_DEPS) $(MEMMOD) $(DEST_DLL) racket.res
	cl /Fe$(DEST) $(COMP_SUBDIR) $(FLAGS) $(INCS) $(CSDIR)\main.c $(MEMMOD) racket.res $(WIN32_LIBS)

racket.res: ../racket/racket.rc ../racket/racket.ico
	rc /l 0x409 /foracket.res ../racket/racket.rc

$(GDEST): $(CSDIR)\grmain.c $(CSDIR)\main.c $(MAIN_DEPS) $(DEST_DLL) gracket.res
	cl /Fe$(GDEST) $(COMP_SUBDIR) $(FLAGS) $(INCS) $(CSDIR)\grmain.c $(MEMMOD) gracket.res $(WIN32_LIBS)

gracket.res: ../gracket/gracket.rc ../gracket/gracket.ico
	rc /l 0x409 /fogracket.res ../gracket/gracket.rc

# Useful for adjusting boot file compression:

$(LZ4_DLL): lz4.c lz4.def $(LZ4_LIB)
	cl /LD /DLL /Fe$(LZ4_DLL) $(FLAGS) lz4.c $(LZ4_LIB) $(WIN32_LIBS) /link /DEF:lz4.def 

# Useful for debugging:

RKTIO_DLL = ..\..\lib\librktio.dll

rktio-dll:
	cl /Fe$(RKTIO_DLL) /LD $(RKTIO_LIB) $(BASE_WIN32_LIBS) ..\..\rktio\rktio.def /link /machine:x64

=== src/ChezScheme/lz4/lib/dll/example/Makefile ===
# ##########################################################################
# LZ4 programs - Makefile
# Copyright (C) Yann Collet 2016
#
# GPL v2 License
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# You can contact the author at :
#  - LZ4 homepage : http://www.lz4.org
#  - LZ4 source repository : https://github.com/lz4/lz4
# ##########################################################################

VOID    := /dev/null
LZ4DIR  := ../include
LIBDIR  := ../static
DLLDIR  := ../dll

CFLAGS  ?= -O3   # can select custom flags. For example : CFLAGS="-O2 -g" make
CFLAGS  += -Wall -Wextra -Wundef -Wcast-qual -Wcast-align -Wshadow -Wswitch-enum \
           -Wdeclaration-after-statement -Wstrict-prototypes \
           -Wpointer-arith -Wstrict-aliasing=1
CFLAGS  += $(MOREFLAGS)
CPPFLAGS:= -I$(LZ4DIR) -DXXH_NAMESPACE=LZ4_
FLAGS   := $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)


# Define *.exe as extension for Windows systems
ifneq (,$(filter Windows%,$(OS)))
EXT =.exe
else
EXT =
endif

.PHONY: default fullbench-dll fullbench-lib


default: all

all: fullbench-dll fullbench-lib


fullbench-lib: fullbench.c xxhash.c
	$(CC) $(FLAGS) $^ -o $@$(EXT) $(LIBDIR)/liblz4_static.lib

fullbench-dll: fullbench.c xxhash.c
	$(CC) $(FLAGS) $^ -o $@$(EXT) -DLZ4_DLL_IMPORT=1 $(DLLDIR)/liblz4.dll

clean:
	@$(RM) fullbench-dll$(EXT) fullbench-lib$(EXT) \
	@echo Cleaning completed

=== debian/changelog ===
racket (8.16+dfsg1-3ubuntu2) questing; urgency=medium

  * d/p/lp2119666-rktio-add-missing-signal-handler-argument.patch: cherry-pick
    change from upstream to add a missing argument to got_sigchild, which
    fixes FTBFS with GCC 15 (LP: #2119666).

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Wed, 06 Aug 2025 09:40:10 -0700

racket (8.16+dfsg1-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2116938).
  * Dropped changes, as they are no longer necessary:
    - d/control: Recommend libgtk2.0-0t64, libpng16-16t64, and libssl3t64
      rather than libgtk2.0-0, libpng16-16, and libssl3.
  * New changes:
    - d/control: recommend libjpeg8-turbo instead of libjpeg62-turbo, as the
      package is named differently in Ubuntu. 
  * Previously undocumented changes:
    - d/.gitignore: drop

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 15 Jul 2025 04:00:30 -0700

racket (8.16+dfsg1-3) unstable; urgency=medium

  * Move (architecture dependent) /etc/racket/config.rktd from package
    racket-common to package racket. (Closes: #1085959).

 -- David Bremner <bremner@debian.org>  Sat, 21 Jun 2025 16:24:05 -0300

racket (8.16+dfsg1-2) unstable; urgency=medium

  * Bug fix: "wrong executable names on armel ('bc'; suffix)",
    thanks to Philip McGrath (Closes: #1105013).

 -- David Bremner <bremner@debian.org>  Sat, 10 May 2025 08:17:02 +0900

racket (8.16+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.16+dfsg1.

 -- David Bremner <bremner@debian.org>  Mon, 17 Mar 2025 20:16:05 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: racket
 Section: lisp
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
 Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 10),
                libcairo2-dev,
@@ -36,13 +37,13 @@
             libgdk-pixbuf-xlib-2.0-0,
             libglib2.0-0,
             libgtk2.0-0,
-            libjpeg62-turbo,
+            libjpeg-turbo8,
             libpangocairo-1.0-0,
             libpng16-16,
             libssl3,
             racket-doc (>= ${source:Upstream-Version})
-Breaks: racket-common (<<8.6~)
-Replaces: racket-common (<<8.0~)
+Breaks: racket-common (<<8.16+dfsg1-3~)
+Replaces: racket-common (<<8.16+dfsg1-3~)
 Description: extensible programming language in the Scheme family
  Racket (previously PLT Scheme) is a programming language suitable for
  scripting and application development, including GUIs and web

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PB64B:=--enable-pb --enable-mach=tpb64b
 PB64L:=--enable-pb --enable-mach=tpb64l
 CONFIG_ARGS_alpha   :=$(PB64L)
-CONFIG_ARGS_armel   :=--enable-bc --disable-docs
+CONFIG_ARGS_armel   :=--enable-bconly --enable-bcdefault --disable-docs
 CONFIG_ARGS_hppa    :=$(PB32B)
 CONFIG_ARGS_mips64el:=$(PB64L)
 CONFIG_ARGS_powerpc :=$(PB32B)

## racket 8.18+dfsg1

=== src/ChezScheme/rpm/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-version = 9.9.9
+version = 10.3.0
 release = 1
 m := $(shell find ../bin/* -type d | xargs basename)
 arch := $(shell if test "$(m)" == "i3le" ; then echo i686 ; elif test "$(m)" == "a6le" ; then echo x86_64 ; else echo UNKNOWN ; fi)

=== src/ChezScheme/wininstall/Makefile ===
VERSION := 10.3.0
WIXEXTENSIONS := -ext WixUIExtension -ext WixBalExtension
export MSYS_NO_PATHCONV=1

ChezScheme.exe: x86/bundle.wixobj ChezScheme32.msi ChezScheme64.msi
	cmd.exe /c "light.bat -nologo $(WIXEXTENSIONS) $< -out $@"

ChezScheme32.msi: x86/product.wixobj x86/examples.wixobj x86/i3nt.wixobj x86/ti3nt.wixobj x86/ui.wixobj
	cmd.exe /c "light.bat -nologo $(WIXEXTENSIONS) $^ -sice:ICE64 -sice:ICE03 -sice:ICE82 -sice:ICE61 -out $@"

ChezScheme64.msi: x64/product.wixobj x64/a6nt.wixobj x64/examples.wixobj x64/ta6nt.wixobj x64/ui.wixobj
	cmd.exe /c "light.bat -nologo $(WIXEXTENSIONS) $^ -sice:ICE64 -sice:ICE03 -sice:ICE82 -sice:ICE61 -out $@"

x86/%.wixobj: %.wxs
	cmd.exe /c "candle.bat -nologo -dVersion=$(VERSION) $(WIXEXTENSIONS) $< -out $@"

x64/%.wixobj: %.wxs
	cmd.exe /c "candle.bat -arch x64 -nologo -dVersion=$(VERSION) $(WIXEXTENSIONS) $< -out $@"

# After building a6nt, use it to create boot files for the
# other machine types, since that's faster than going through
# pb every time
.PHONY: workareas
workareas:
	cd ..; cmd.exe /c "build.bat a6nt"
	cd ..; ./zuo.exe . bootquick i3nt
	cd ..; ./zuo.exe . bootquick ta6nt
	cd ..; ./zuo.exe . bootquick ti3nt
	cd ..; cmd.exe /c "build.bat i3nt"
	cd ..; cmd.exe /c "build.bat ta6nt"
	cd ..; cmd.exe /c "build.bat ti3nt"

.PHONY: clean
clean:
	-rm -rf *.msi *.wixpdb x86/ x64/ *.wixobj *.exe

=== debian/changelog ===
racket (8.18+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.18+dfsg1.
  * Bug fix: "ftbfs with GCC-15", thanks to Matthias Klose (Closes:
    #1097768).

 -- David Bremner <bremner@debian.org>  Sun, 07 Sep 2025 14:09:30 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: racket
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: David Bremner <bremner@debian.org>
 Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 10),
                libcairo2-dev,
@@ -37,7 +36,7 @@
             libgdk-pixbuf-xlib-2.0-0,
             libglib2.0-0,
             libgtk2.0-0,
-            libjpeg-turbo8,
+            libjpeg62-turbo,
             libpangocairo-1.0-0,
             libpng16-16,
             libssl3,
